\id AEAD01.CTL - ANALYSIS DATA
\co	*******************************
\co	********** Asheninca **********
\co	*******************************
\begin
\co
\co			DEFINE ALLOMORPH CONDITION CLASSES
\co
\scl	V	a e i o u		| Vowels
\scl	N	m n s			| Continuant consonants
\scl	S	h r v y			| Semiconsonants or glides
\scl	O	p t k			| Non-continuant
\scl	-high	e o a			| the class of non-high vowels for 1I
					|	zero allomorph
\scl	L	ai oi aa ee ii oo	| for long vowels and diphthongs
					|	preceding [ta] SUBJ
\scl	+front	i e			| the class of front vowels for
					|	"g > y" 
\co
\co  for use in dictionary entries
\co
\mcl	singular	NR+3S R+3S 1S 2S 1IS
\mcl	possessed	1POS 1IPOS 2POS 3FPOS 3MPOS
\co
\co                      DEFINE ALLOMORPH PROPERTIES
\co
\ap gdeleted
\ap GENshort
\ap GENlong
\ap long
\co
\co                      DEFINE MORPHEME PROPERTIES
\co
\mp shortSTEM
\mp underg
\mp noepen
\mp epenthesis
\mp PUC
\mp PUV
\mp pal
\co
\co                      DEFINE CATEGORIES
\co
\ca V2R
\ca V2N
\ca V1R
\ca V1N
\ca V2
\ca PR1
\ca NU1
\ca V1
\ca N1
\ca A1
\ca V0
\ca N0
\ca A0
\ca P0
\ca PR0
\co					These can be word final categories
\ccl	finalcategories		V0 N0 A0 P0 PR0
\co
\co					These can be word prefix final
\co					categories
\ccl	prefixcategories	V1 N1 A1 V0 N0 A0 P0 PR0

\co ==========================================================================
\co				PREFIXES
\co
\maxp 2		| maximum number of prefixes
\co
\co			Prefix Tests
\co
\pt ORDER_ST
	    (current type is initial)
	OR  (left orderclass < current orderclass)
\pt CATEGORY_ST
	    (current type is initial)
	OR  (left tocategory is current fromcategory)
\pt SEC_ST
\pt ADHOC_ST
\co
\co			Prefix Adhoc Pairs
\co
\pah 3MNF FUT

\co ==========================================================================
\co				ROOTS
\co
\maxr 1		| maximum number of roots
\co
\co			Root Tests
\co
\co	the following taken care of by allomorph condition
\co	eg. voyeniri +/ 1POS _ +/ 1IPOS _ +/ 2POS _ +/ 3FPOS _ +/ 3MPOS _
\rt SEC_ST
\rt ADHOC_ST
\co	the following test passes when the root has property PUC and the
\co	prefix ends in a vowel (no-ime "my husband").
\rt PUC_ST
	IF   ((left type is prefix) AND (current property is PUC))
	THEN (left string matches member V)
\co
\co			Root Adhoc Pairs
\co
\rah 3FPOS esposa

\co ==========================================================================
\co				SUFFIXES
\co
\co			Suffix Tests
\co
\st CATEGORY_ST
	left tocategory is current fromcategory

\st EPENRIGHT_ST
	IF  (current property is epenthesis)
	THEN
	    (	(   (left string matches member V)
		AND (	(   (left property is underg)
			AND (current string matches "a")
			)
		    OR	(   (NOT left property is gdeleted)
			AND (current string matches "t")
			)
		    )
		)
	    OR	(   (NOT left string matches member V)
		AND (current string matches "a")
		)
	    )

\st ADHOC_ST
\st SEC_ST

\st ORDER_ST
	    (current orderclass = 0)
	OR  (left orderclass < current orderclass)

\st EPEN_ST
	    (current tocategory is A0)
	OR  (current tocategory is N0)
	OR  (current tocategory is N1)
	OR  (current fromcategory is V0)
	OR  (current fromcategory is V1)
	OR  (current fromcategory is V2)
	OR  (current property is epenthesis)
	OR  (left property is epenthesis)
	OR  (	(left string matches member V)
	    AND (   (	(left property is gdeleted)
		    AND (current string matches member V)
		    )                                 
		OR  (NOT current string matches member V)
		OR  (current property is noepen)
		)
	    )
	OR  (	(NOT left string matches member V)
	    AND (   (current string matches member V)
		OR  (current property is noepen)
		OR  (current property is PUV)
		)
	    )

\st EPENLEFT_ST
	IF  (left property is epenthesis)
	THEN
	    (	(   (current string matches member V)
		AND (NOT current property is noepen)
		AND (left string matches "t")
		)
	    OR  (   (current property is PUV)
		AND (left string matches "t")
		)
	    OR  (   (NOT current string matches member V)
		AND (left string matches "a")
		)
	    )

\st GENITIVE_ST
	IF   ((current morphname is "POS") OR (current morphname is "ABS"))
	THEN ((left property is shortSTEM) IFF (current property is GENshort))

\st LENGTH_ST
    (left property is pal) IFF (current property is long)
\co
\co			Suffix Adhoc Pairs
\co
\sah FREL REL
\sah REGR TSTV
\sah & &

\co ==========================================================================
\co				FINAL TESTS
\co
\ft CATEGORY_FT_1
	IF   ((FINAL type is suffix) AND (NOT INITIAL type is prefix))
	THEN (FINAL tocategory is member finalcategories)

\ft CATEGORY_FT_2
	IF  ((FINAL type is suffix) AND (INITIAL type is prefix))
	THEN
	    (	(FINAL tocategory is member prefixcategories)
	    AND (FINAL tocategory is INITIAL fromcategory)
	    AND (INITIAL tocategory is member finalcategories)
	    )

\ft CATEGORY_FT_3
	IF  (	(FINAL type is root)		| if root is word final,
	    AND (current type is root)		| check the leftmost root
	    AND (NOT left type is root)
	    AND (INITIAL type is prefix)
	    )
	THEN
	    (	(current tocategory is member prefixcategories)
	    AND (current tocategory is INITIAL fromcategory)
	    AND (INITIAL tocategory is member finalcategories)
	    )

\ft CATEGORY_FT_4
	IF  (	(FINAL type is root)		| if root is word final,
	    AND (current type is root)		| check the leftmost root
	    AND (NOT left type is root)
	    AND (NOT INITIAL type is prefix)
	    )
	THEN (current tocategory is member finalcategories)

\ft ORDER_FT
	IF  (	(current orderclass = 0)
	    AND	(FOR_SOME_LEFT  (LEFT  orderclass ~= 0))
	    AND	(FOR_SOME_RIGHT (RIGHT orderclass ~= 0))
	    )
	THEN (LEFT orderclass < RIGHT orderclass)

\ft MCC_NFR_FT
	IF  (	(current morphname is "NFR")
	    AND (   (right morphname is "1S")
		OR  (right morphname is "2S")
		OR  (right morphname is "1IS")
		)
	    )
	THEN
	    (FOR_SOME_LEFT
		(   (LEFT type is root)
		AND ((LEFT tocategory is V1R) OR (LEFT tocategory is V2R))
		)
	    )

\ft MCC_NF_FT
	IF  (	(current morphname is "NF")
	    AND (   (right morphname is "1S")
		OR  (right morphname is "2S")
		OR  (right morphname is "1IS")
		)
	    )
	THEN
	    (FOR_SOME_LEFT
		(   (LEFT type is root)
		AND ((LEFT tocategory is V1N) OR (LEFT tocategory is V2N))
		)
	    )

\ft MCC_PR1_FT		| pronoun stems can occur only with absolutive tenses
	IF  ((current type is root) AND (current tocategory is PR1))
	THEN
	    (FOR_SOME_RIGHT
		(   (RIGHT morphname is "NR+3S")
		OR  (RIGHT morphname is "R+3S")
		)
	    )
\co
\co			Morpheme Classes
\co
\mcl PosPfx	1POS 1IPOS 2POS 3FPOS 3MPOS
\mcl VbPfx	1 1I 2 3F 3M 3MNF
\co
\co                      Morpheme Co-occurrence Constraints
\co
\mcc	&	/ ~& _
\mcc	PAS	/ 3M ..._    / 3MNF ..._
\mcc	RSLT	/ _... RSLT2
\mcc	RSLT	/ [VbPfx] ..._
\mcc	RSLT2	/ RSLT ..._
\mcc	PL2	/ PL ..._
\mcc    REGR PERF  / ALLA _
\mcc    REGR PROG  / ALLA _
\mcc    REGR STV   / ALLA _
\mcc	ALLA	/ _ REGR    / _ TSTV
\mcc	ABLA	/ _PERF    / _REGR    / _PROG    / _STV    / _TSTV 
\mcc	RCPT	/ _PERF    / _REGR    / _PROG    / _STV    / _TSTV 
\mcc	STV	/ _NR+3S   / _R+3S    / _...1S   / _...2S  / _...1IS
\mcc	TSTV	/ _NR+3S   / _R+3S    / _...1S   / _...2S  / _...1IS
\mcc	PROX	/ [VbPfx] ...~_
\co
\co Future relative only occurs with future tense or absolutive with no person
\co
\mcc	FREL	/  3MNF ...~_
\mcc	FREL	/    NF ...~_
\mcc	FREL	/   NFR ...~_
\mcc	FREL	/ NR+3S ...~_
\mcc	FREL	/  R+3S ...~_
\co
\co Future prefix and suffix and relative agreement
\co
\mcc	FUT	/ _... F    / _...FR
\mcc	FUT	/ 1 _       / 1I_       / 2 _    / 3F _    / 3M _ 
\mcc	F	/ FUT..._   / _...FREL
\mcc	FR	/ FUT..._   / _...FREL  / _...REL.S
\mcc	REL.S	/ [VbPfx] ...~_
\mcc	REL	/ [VbPfx] ..._
\mcc    REL	/ F...~_	| have evidence of REL occ. with FR but not
				| with F
\co no: mcc REL / FUT...~_  example w/ fut oyaari FLOOD, phrase 63.
\co
\co Absolutive system nonreflexive + third person subject:
\co      cannot occur with agreement prefixes or suffixes (except relative)
\co      must occur with progressive, stative or temporary.stative
\co
\mcc	NR+3S	/ [VbPfx]...~_
\mcc	NR+3S	/ ~_...1O
\mcc	NR+3S	/ ~_...2O
\mcc	NR+3S	/ ~_...3MO
\mcc	NR+3S	/ ~_...3FO
\mcc	NR+3S	/ ~_...REL
\mcc	NR+3S	/ ~_...REL.S
\mcc	NR+3S	/ PERF_     / REGR_     / STV_     / TSTV_
\co
\co Absolutive system reflexive + third person subject:
\co      cannot occur with agreement prefixes or suffixes (except relative)
\co      must occur with progressive, perfective, stative or temporary.stative
\co
\mcc	R+3S	/ [VbPfx]...~_
\mcc	R+3S	/ ~_...1O
\mcc	R+3S	/ ~_...2O
\mcc	R+3S	/ ~_...3MO
\mcc	R+3S	/ ~_...3FO
\mcc	R+3S	/ ~_...REL
\mcc	R+3S	/ ~_...REL.S
\mcc	R+3S	/ REGR..._  / PERF..._  / STV..._  / TSTV..._
\co
\co Absolutive system nonreflexive:
\co      cannot occur with agreement prefixes, 
\co      must occur with regressive or stative or temporary.stative
\co      \ mcl  bad-A.NR  1 1I 2 3F 3M 3MNF
\co      \ mcc  A.NR   / [bad-A.NR] ...~_
\co      \ mcc  A.NR   / PERF..._ / REGR..._ / STV..._ / TSTV..._
\co
\mcc	1S	/ [VbPfx] ...~_
\mcc	1S	/ PERF..._    / REGR..._    / STV..._    / TSTV ..._
\mcc	2S	/ [VbPfx] ...~_
\mcc	2S	/ PERF..._    / REGR..._    / STV..._    / TSTV ..._
\mcc	1IS	/ [VbPfx] ...~_
\mcc	1IS	/ PERF..._    / REGR..._    / STV..._    / TSTV ..._
\co
\co Absolutive system reflexive 
\co      cannot occur with agreement prefixes, 
\co      must occur with perfective, regressive, stative or temporary.stative
\co	\ mcl bad-A.R 1 1I 2 3F 3M 3MNF
\co 	\ mcc A.R   / [bad-A.R] ...~_
\co 	\ mcc A.R   / PERF..._ / REGR..._ / STV..._ / TSTV..._
\co
\co third person (extra object)
\co -ri or -ro must follow immediately; ne / e_; ni / i_; na / a_
\co
\mcc	3EO	/ _3MO    / _3FO
\co
\co Irregular verb stems (and syiry ?) cannot occur with -i tenses
\co
\mcl Irregular-Verbs	katiy estar.recto pipiy volver.REDUP piy volver syiy
	correr my saltar syiriNkaa mermar.agua
\mcc	[Irregular-Verbs]	/ ~_...NF
\mcc	[Irregular-Verbs]	/ ~_...NR+3S
\co
\co Person prefixes cannot occur with their corresponding suffix.
\co
\mcc	1	/ ~_...1O
\mcc	1I	/ ~_...1IO
\mcc	2	/ ~_...2O
