\id   **ANALYSIS DATA   Caquinte  Ken Swift
|\ap		| Allomorph Property
|\ca		| Category
|\ccl		| Category Class
|\cr		| Compound Roots Category Pair
|\ft		| Final Test
|\iah		| Infix Adhoc Pair
|\it		| Infix Successor Test
|\maxi		| Maximum Number of Infixes
|\maxp		| Maximum Number of Prefixes
|\maxr		| Maximum Number of (Compound) Roots
|\maxs		| Maximum Number of Suffixes
|\mcl		| Morpheme Class
|\mp		| Morpheme Property
|\pah		| Prefix Adhoc Pair
|\pt		| Prefix Successor Test
|\rah		| Root Adhoc Pair
|\rt		| Root Successor Test
|\mcc		| Morpheme Co-occurrence Constraint
|\sah		| Suffix Adhoc Pair
|\scl		| String Class
|\st		| Suffix Successor Test
\begin

\co
\co **********************************************************************
\co		DEFINE STRING CLASSES FOR ALLOMORPH CONDITIONS
\co **********************************************************************
\co
\scl	V		a e i o			 | vowels
\scl	N		N			 | unspecified nasal
\scl	-cont		p t ty k ts ch		 | Non-continuants
\scl	-syl,+cont	s sh v g m n ~n r ry h y | Continuant consonants
						 |  (including nasals)
\mcl	PerfProg	PERF PROG	| used in dictionaries
\co
\co ***************************************************
\co		DEFINE ALLOMORPH PROPERTIES
\co ***************************************************
\co
\ap gdeleted
\ap tdeleted
\ap GENshort
\co
\co **************************************************
\co		DEFINE MORPHEME PROPERTIES
\co **************************************************
\co
\mp shortSTEM
\mp underg		| underlying /g/
\mp PUC			| preceding underlying consonant
\mp FUC			| following underlying consonant
\mp keepsg		| blocks g-deletion on preceding morpheme
\mp epenthesis
\co
\co *****************************************
\co		DEFINE CATEGORIES
\co *****************************************
\co
\ca V2R		|   transitive     reflexive verb
\ca V2N		|   transitive non-reflexive verb
\ca V1R		| intransitive     reflexive verb
\ca V1N		| intransitive non-reflexive verb
\ca V2		|   transitive verbal form
\ca PR1		| "independent" pronoun which may take verb endings
\ca EP		| epenthesis
\ca V1		| intransitive verbal form
\ca N1		| obligatorily possessed noun
\ca NU1		| number root
\ca V0		| completed verbal form
\ca N0		| completed or non-obligatorily possessed noun (/pronoun)
\ca A0		| adverb
\ca PR0		| non-verbalized "(contr./dem./poss.)pron"
		|   or completed verbalized ("indep.") pronoun:
\ca P0		| particle
\co
\ccl finalcategories   V0 N0 A0 PR0 P0	| allowable final categories
					| allowable prefix categories
\ccl prefixcategories  V1 N1 NU1 V0 N0 A0 PR0 P0
\ccl epencategory      EP		| epenthesis category for roots
\co
\co ********************************
\co		PREFIXES
\co ********************************
\maxp 2					| Maximum number of Prefixes
\co
\co                      PREFIX TESTS
\co
\pt ORDER_ST
	left orderclass < current orderclass

\pt CATEGORY_ST
	left tocategory is current fromcategory
\co
\co			PREFIX ADHOC PAIRS
\co
\co *******************************
\co		INFIXES
\co *******************************
\maxi 0				| Maximum number of Infixes
\co
\co                     Infix Successor Tests
\co
\co
\co			Infix Adhoc Pairs
\co
\co *****************************
\co		ROOTS
\co  ****************************
\maxr 4				| Maximum number of Roots
\co
\co			Compound Root Legal Pairs
\co
\cr V2R N1
\cr V2N N1
\cr V1R N1
\cr V1N N1
\cr V0  N1
\cr N1  N1
\cr N0  N1
\cr V2R N0
\cr V2N N0
\cr V1R N0
\cr V1N N0
\cr V0  N0
\cr N1  N0
\cr N0  N0
\co
\co                      Root Successor Tests
\co
\rt ROOTS_ST					| builtin test (but why?)
\co						    why not the following?
\co	\ccl compoundleft  V2R V2N V1R V1N V0 N0 N1
\co	\ccl compoundright N1 N0
\co	\rt COMPOUND_ROOT_ST
\co		IF ((current type is root) AND (left type is root))
\co		THEN
\co		    (	(left tocategory is member compoundleft)
\co		    AND (current tocategory is member compoundright)
\co		    )
\rt SEC_ST					| builtin test
\rt ADHOC_ST					| builtin test

\rt PUC_ST
	IF   ((left type is prefix) AND (current property is PUC))
	THEN (left string matches member V)

\co
\co The following test is used when neither left nor current are epenthesis:
\co			i.e. should there be one?
\co
\rt NOEPEN_ST
	IF  (	(NOT current property is epenthesis)
	    AND (NOT left property is epenthesis)
	    AND (NOT left type is prefix)
	    )
	THEN
	    (
		(   (NOT left string matches member V)
		AND (current string matches member V)
		AND (NOT current property is PUC)
		)
	    OR
		(   (left string matches "N")
		AND (current string matches member -cont)
		)
	    OR
		(   (left string matches member V)
		AND (   (   (   (left property is gdeleted)
			    OR  (left property is FUC)
			    )
			AND (current string matches member V)
			AND (NOT current property is PUC)
			)
		    OR  (   (NOT left property is gdeleted)
			AND (   (NOT current string matches member V)
			    OR  (current property is PUC)
			    )
			)
		    )
		)
	    )
\co
\co The following test is used when there is an epenthetic segment on the left
\co
\rt EPENLEFT_ST
	IF (left property is epenthesis)
	THEN
	    (	(   (current string matches member V)
		AND (	(   (current property is PUC)
			AND (left string matches "a")
			)
		    OR	(   (NOT current property is PUC)
			AND (left string matches "t")
			)
		    )
		)
	    OR	(   (NOT current string matches member V)
		AND (left string matches "a")
		)
	    )

\co
\co  The following test is used when there is an epenthesis form on the
\co	current morpheme
\co
\rt EPENRIGHT_ST
	IF (current property is epenthesis)
	THEN
	    (	(   (left string matches "N")
		AND (current string matches "t")
		)
	    OR  (   (left string matches member V)
		AND (	(   (	(left property is underg)
			    OR	(left property is FUC)
			    )
			AND (current string matches "a")
			)
		    OR  (   (NOT left property is underg)
			AND (NOT left property is FUC)
			AND (current string matches "t")
			)
		    )
		)
	    OR  (   (NOT left string matches member V)
		AND (current string matches "a")
		)
	    )

\rt TDELETION_ST
	IF   (left property is tdeleted)
	THEN (NOT current property is epenthesis)
\co
\co			Root Adhoc Pairs
\co
\co  Root to root only; put root to suffix pairs with Suffix Adhoc Pairs
\co
\rah *kaNt ahi
\rah *ha shi
\rah & shi
\rah *ag *ha		| to avoid analyzing -ashi as "ha shi" or "& shi"
			|		V2N ag N1 a
\rah *to *ha		| to avoid spurious 0-a-a-ve-t-ak-a-ri
\rah shi *ha		|  to avoid analyzing -shia as "shi ha"
\rah kisho *ha
\rah n *ha		| to avoid < V1N n EP & N1 ha > from naakite
\rah *kem aNtari
\co 
\co  *******************************
\co		SUFFIXES
\co  *******************************
\maxs 20			| Maximum number of Suffixes
\co
\co                      Suffix Successor Tests
\co
\st CATEGORY_ST_1				| initial suffix
	IF  (left type is root)
	THEN
	    (FOR_SOME_LEFT
		(   (LEFT type is root)
		AND (LEFT tocategory is current fromcategory)
		)
	    )

\st CATEGORY_ST_2				| noninitial suffix
	IF   (NOT left type is root)
	THEN (left tocategory is current fromcategory)

\st EPENRIGHT_ST				| identical to root test

\st DELETEG_ST
	IF (left property is underg)
	THEN ((current property is keepsg) XOR (left property is gdeleted))

\st ADHOC_ST					| builtin test
\st SEC_ST					| builtin test

\st ORDER_ST
	IF (current orderclass ~= 0)
	THEN (left orderclass <= current orderclass)

\st NOEPEN_ST					| identical to root test
\st EPENLEFT_ST					| identical to root test

\co    The following is needed for synthesis
\co	but it does not work properly for compounds since the last
\co	root may be a shortSTEM but the stem as a whole is long.
\co	This causes it to incorrectly fail some combinations in analysis
\co	also.
\co
\co SRMc: this seems to require a FOR_SOME_RIGHT or FOR_ALL_RIGHT?
\co	but what determines that a stem "as a whole" is "long"?
\co
\co GENITIVE_ST
	IF ((current name is "POS") OR (current name is "ABS"))
	THEN ((left property is shortSTEM) IFF (current property is GENshort))

\st TDELETION_ST				| identical to root test
\co
\co			**Suffix Adhoc Pairs**
\co
\sah & PROG		| avoid the real ambiguity of & PROG versus PERF
			|    Should only apply in ANALYSIS.
\sah & ALLA2
\sah & TRNT2
\sah & SUDN2
\sah & &
\sah AUG NEG
\sah ADVS NEG
\sah NEG INDEF
\sah EXCL INDEF		| e.g. -sacanica
\sah PROG PERF
\sah RAP TNSN
\sah TNSN2? TNSN
\sah taa INS
\sah *am RAP		| e.g. pamitacotena
\sah *mag RAP
\sah *am TNSN2?
\sah ohok TNSN2?   | avoid y-ohok-i-hi-poh-i-ri (should be y-ohokihi-poh-i-ri)
\sah *ma PAS	   | avoid spurious i-ma-i-k-a 3M < V2N ma > PAS PROG NFR
\sah iha POS
\sah keNpe CONT
\sah REL REL
\sah INDEF INDEF
\sah PERF PERF
\sah F CNJT
\sah INS SUBJ
\sah 1IO 2O
\sah 1IO 1O
\co
\co  ************************************************************
\co                      FINAL TESTS
\co  ************************************************************
\co
\ft CATEGORY_FT_1
	IF   ((FINAL type is suffix) AND (NOT INITIAL type is prefix))
	THEN (FINAL tocategory is member finalcategories)

\ft CATEGORY_FT_2
	IF  ((FINAL type is suffix) AND (INITIAL type is prefix))
	THEN
	    (	(FINAL tocategory is member prefixcategories)
	    AND (FINAL tocategory is INITIAL fromcategory)
	    AND (INITIAL tocategory is member finalcategories)
	    )

\ft CATEGORY_FT_3
	IF  (	(FINAL type is root)		| if root is word final,
	    AND (current type is root)		| check the leftmost root
	    AND (NOT left type is root)
	    AND (INITIAL type is prefix)
	    )
	THEN
	    (	(current tocategory is member prefixcategories)
	    AND (current tocategory is INITIAL fromcategory)
	    AND (INITIAL tocategory is member finalcategories)
	    )

\ft CATEGORY_FT_4
	IF  (	(FINAL type is root)		| if root is word final,
	    AND (current type is root)		| check the leftmost root
	    AND (NOT left type is root)
	    AND (NOT INITIAL type is prefix)
	    )
	THEN (current tocategory is member finalcategories)

\ft CATEGORY_FT_CR
	IF  (   (current type is root)
	    AND (NOT left type is root)	    | initial root is head of stem
	    AND (FOR_SOME_RIGHT (RIGHT type is suffix))
	    )
	THEN				    | check initial suffix (if any)
	    (current tocategory is RIGHT fromcategory)

\ft ORDER_FT
	IF  (	(current orderclass = 0)
	    AND	(FOR_SOME_LEFT  (LEFT  orderclass ~= 0))
	    AND	(FOR_SOME_RIGHT (RIGHT orderclass ~= 0))
	    )
	THEN (LEFT orderclass < RIGHT orderclass)

\co
\co	The following tests were expressed as morpheme rules in ANTXCA, but
\co	involved the category names shown with the root morphnames in the
\co	analysis string used by ANTXCA for testing morpheme rules.
\co
\mcl Transitivizer	DAT MOT BEN SEP MED PRES REF PURP INST
\ft MCC_REL_FT
	IF (current morphname is "REL")
	THEN
	    (
	    FOR_SOME_LEFT
		(   (	((LEFT type is root) AND (LEFT tocategory is PR0))
		    AND (right morphname is "INDEF")
		    )
		OR  (LEFT morphname is "STV")
		OR  (LEFT morphname is "TSTV")
		OR  (	(LEFT morphname is member Transitivizer)
			|
			|this isn't right, but i don't see how to do it
			| we need to look for a root even further left...
			|
		    AND ((LEFT tocategory is V1N) OR (LEFT tocategory is V1R))
		    )
		OR  ((LEFT type is root) AND (LEFT tocategory is V2N))
		OR  ((LEFT type is root) AND (LEFT tocategory is V2R))
		)
	    )

\ft MCC_INS_FT
	IF (current morphname is "INS")
	THEN
	    (
	    FOR_SOME_LEFT
		(   ((LEFT type is root) AND (LEFT tocategory is V0))
		OR  ((LEFT type is root) AND (LEFT tocategory is PR0))
		OR  ((LEFT type is root) AND (LEFT tocategory is A0))
		OR  (LEFT morphname is "F")
		OR  (LEFT morphname is "FR2")
		OR  (LEFT morphname is "MON")
		)
	    )

\mcl 1S/2S	1S  2S
\ccl bad_1S/2S	V2N V2R
\ft MCC_1S/2S_FT
	IF  (current morphname is member 1S/2S)
	THEN
	    (FOR_ALL_LEFT
		(
		IF  (LEFT type is root)
		THEN (NOT LEFT tocategory is member bad_1S/2S)
		)
	    )

\ccl bad_*ako	V1N V1R V2N V2R
\ft MCC_*ako_FT
	IF (current morphname is "*ako")
	THEN
	    (FOR_ALL_LEFT
		(
		IF  (LEFT type is root)
		THEN (NOT LEFT tocategory is member bad_*ako)
		)
	    )

\ccl	itsoki-cats V1N V2N V1R V2R N0
\ft MCC_itsoki_FT
	IF  (current morphname is "itsoki")
	THEN
	    (FOR_SOME_LEFT
		(   (LEFT type is root)
		AND (LEFT tocategory is member itsoki-cats)
		)
	    )

\ft MCC_F_FT
	IF  (current morphname is "F")
	THEN
	    (	(FOR_SOME_LEFT
		    (   (LEFT morphname is "FUT")
		    OR  ((LEFT type is root) AND (LEFT tocategory is PR1))
		    )
		)
	    OR  (FOR_SOME_RIGHT (RIGHT morphname is "F2"))
	    )

\co ****************************************************
\co		MORPHEME CO-OCCURRENCE RULES
\co ****************************************************
\co
\mcl PosPfx		1 2 3MPOS 3F 1I		| (used in dictionaries)
\mcl VbPersPfx		1 2 3M 3F 1I
\mcl ObjSfx		1O 2O 3EO 3MO 3FO	| does not include 1IO,
						| since it also functions
						| as a "verbal" or
						| "tense/reflexivity" suffix)

\mcc 3EO	/ _3MO    / _3FO    / _R...3MO    / _R...3FO
\mcc 1IS	/ PERF_    / PROG_    / REGR_
\mcc NFR+3S	/ REGR_    / PROG_    / PERF_
\mcc NF		/ FUT...~_
\mcc NF		/ ~_...F2
\mcc S.NF	/ STV_    / TSTV _
\mcc S.NF	/ ~_...F2
\mcc S.F	/ STV_...F2    / TSTV_...F2
\mcc FR2	/ FUT..._1O    / _...1O...F2    / FUT..._2O    / _...2O...F2
\mcc FUT	/ [VbPersPfx]_...F  / [VbPersPfx]_...FR2  / [VbPersPfx]_...1IO
\mcc F2		/ [VbPersPfx] ...~_
\mcc F2		/ FUT ...~_
\mcc STV	/ [VbPersPfx] ... ~_
\mcc STV	/ ~_ [ObjSfx]
\mcc STV	/ ~_ NF
\mcc TSTV	/ [VbPersPfx] ... ~_
\mcc TSTV	/ ~_ [ObjSfx]
\mcc TSTV	/ ~_ NF
\mcc ABLA	/ _PERF    / _REGR    / _STV    / _TSTV
\mcc RCPT	/ _PERF    / _REGR
\mcc REGR	/ ~_ PROG
\mcc REGR	/ ~_ PERF
\mcc REGR	/ ~_ TRNT
\mcc REGR	/ ~_ TRSL
\mcc PERF	/ ~_ REGR
\mcc PERF	/ ~_ FR2
\mcc PROG	/ ~_ REGR
\mcc PROG	/ ~_ FR2
\mcc NEG	/ F ..._  / hik ..._
\co
\co       Rules that relate to roots
\co
\mcc keNpe	/ ~_... CONT
\mcc *ari	/ ~_... F
\mcc ario	/ ~_... F
