;english.lex
;word lexicon for sentence grammar
;last modified 4-Mar-95

;Copyright (C) 1995 Summer Institute of Linguistics, Inc.

;Evan Antworth                    |  e-mail: evan.antworth@sil.org
;Academic Computing Department    |  phone:  214-709-3346, -2418
;Summer Institute of LInguistics  |  fax:    214-709-3363
;7500 W. Camp Wisdom Road
;Dallas, TX 75236

;If you use PC-PATR alone without a morphological analysis, namely Englex, 
; then you will need a word lexicon such as this. 

;If you use PC-PATR together with Englex, then you can start with no word 
; lexicon and let Englex build one up for you as you parse sentences. 

;Or you can combine the two approaches: put entries in this word lexicon
; that are not in the morphological lexicon (such as "uther") and then let
; Englex add to it. However, if you create your own word entries, 
; they must be compatible with the information Englex would return. All the 
; entries in this file are compatible with Englex's analysis (and thus are
; redundant if you use Englex).


;;;Determiners

\w the
\c DT
\g

\w a
\c DT
\g
\f sg


;;;Pronouns

\w I
\c PR
\g
\f 1

\w you
\c PR
\g
\f 2 sg-pl nom-acc

\w he
\c PR
\g

\w she
\c PR
\g

\w it
\c PR
\g
\f nom-acc

\w we
\c PR
\g
\f 1 pl

\w they
\c PR
\g
\f pl

\w me
\c PR
\g
\f 1 acc

\w him
\c PR
\g
\f acc

\w her
\c PR
\g
\f acc

\w us
\c PR
\g
\f 1 pl acc

\w them
\c PR
\g
\f pl acc

\w this
\c PR
\g

\w that
\c PR
\g

\w these
\c PR
\g
\f pl

\w those
\c PR
\g
\f pl


;;;Prepositions and Conjunctions

\w to
\c PP
\g

\w by
\c PP
\g

\w on
\c PP
\g

\w with
\c PP
\g

\w because
\c CJ
\g be`cause

\w before
\c PP-CJ
\g be`fore

\w when
\c CJ
\g 

\w while
\c CJ
\g 


;;;Nouns

\w Uther
\c N
\g `uther
\f proper

\w Cornwall
\c N
\g `cornwall
\f proper

\w knight
\c N
\g `knight

\w knights
\c N
\g `knight
\f pl

\w man
\c N
\g `man

\w men
\c N
\g `man
\f pl

\w hill
\c N
\g `hill

\w telescope
\c N
\g `telescope

\w computer
\c N
\g com`pute
\f <lemma_pos> = V

\w computers
\c N
\g com`pute
\f pl <lemma_pos> = V


;;;Adjectives

\w tall
\c AJ
\g `tall

\w brave
\c AJ
\g `brave

\w clear
\c AJ
\g `clear


;;;Adverbs

\w well
\c AV
\g

\w bravely
\c AV
\g `brave
\f <lemma_pos> = AJ

\w clearly
\c AV
\g `clear
\f <lemma_pos> = AJ


;;;Verbs

\w sleep
\c V
\g `sleep
\f vbase

\w sleeps
\c V
\g `sleep
\f s

\w sleeping
\c V
\g `sleep
\f ing

\w slept
\c V
\g `sleep
\f ed-en

\w sleep
\c N
\g `sleep

\w storm
\c V
\g `storm
\f vbase

\w storms
\c V
\g `storm
\f s

\w storming
\c V
\g `storm
\f ing

\w stormed
\c V
\g `storm
\f ed-en

\w storm
\c N
\g `storm

\w see
\c V
\g `see
\f vbase

\w sees
\c V
\g `see
\f s

\w seeing
\c V
\g `see
\f ing

\w saw
\c V
\g `see
\f ed

\w seen
\c V
\g `see
\f en


;;;Auxiliaries (also full verbs)

\w am
\c AUX-V
\g be
\f -3sg

\w are
\c AUX-V
\g be
\f -3sg

\w is
\c AUX-V
\g be
\f s

\w was
\c AUX-V
\g be
\f ed

\w were
\c AUX-V
\g be
\f ed -3sg

\w have
\c AUX-V
\g have
\f -3sg

\w has
\c AUX-V
\g have
\f s

\w had
\c AUX-V
\g have
\f ed


;;;Modal auxiliaries

\w must
\c AUX
\g
\f modal

\w mustn't
\c AUX
\g must
\f modal neg

;END OF FILE
