@echo off
if not "%1" == "debug" goto userelease
set AMPLE=..\..\Debug\ample32.exe
set XAMPLE=..\..\Debug-x\xample.exe
set ANADIFF=..\..\Debug\anadiff32.exe
set INTERGEN=..\..\Debug\Intergen32.exe
set KTAGGER=..\..\Debug\ktagger32.exe
set KTEXT=..\..\Debug\ktext32.exe
set PCKIMMO=..\..\Debug\pckimmo32.exe
set PCPATR=..\..\Debug\pcpatr32.exe
set STAMP=..\..\Debug\stamp32.exe
goto begin

:userelease
set AMPLE=..\..\Release\ample32.exe
set XAMPLE=..\..\Release-x\xample32.exe
set ANADIFF=..\..\Release\anadiff32.exe
set INTERGEN=..\..\Release\Intergen32.exe
set KTAGGER=..\..\Release\ktagger32.exe
set KTEXT=..\..\Release\ktext32.exe
set PCKIMMO=..\..\\Release\pckimmo32.exe
set PCPATR=..\..\\Release\pcpatr32.exe
set STAMP=..\..\Release\stamp32.exe

:begin

rem AMPLE
cd ample\test\ae
if exist aetest.dif del aetest.dif >nul
%AMPLE% -q -f aetest.cmd -i aetest.txt -o aetest.ana >aetest.log
cmp aetest.aaa aetest.ana
if not errorlevel 1 del aetest.ana
if not exist aetest.ana goto aegood
diff -u aetest.aaa aetest.ana >aetest.dif
echo :-( :-( AMPLE failed test ae :-( :-(
:aegood
if not exist aetest.dif echo AMPLE successfully passed test/ae
cd ..\cq
if exist cqtest.dif del cqtest.dif >nul
%AMPLE% -q -f cqtest.cmd -i cqtest.txt -o cqtest.ana >cqtest.log
cmp cqtest.aaa cqtest.ana
if not errorlevel 1 del cqtest.ana
if not exist cqtest.ana goto cqgood
diff -u cqtest.aaa cqtest.ana >cqtest.dif
echo :-( :-( AMPLE failed test cq :-( :-(
:cqgood
if not exist cqtest.dif echo AMPLE successfully passed test/cq
cd ..\hg
if exist hgtest.dif del hgtest.dif >nul
%AMPLE% -q -f hgtest.cmd -i hgtest.txt -o hgtest.ana >hgtest.log
cmp hgtest.aaa hgtest.ana
if not errorlevel 1 del hgtest.ana
if not exist hgtest.ana goto hggood
diff -u hgtest.aaa hgtest.ana >hgtest.dif
echo :-( :-( AMPLE failed test hg :-( :-(
:hggood
if not exist hgtest.dif echo AMPLE successfully passed test/hg
cd ..\sb
if exist sbtest.dif del sbtest.dif >nul
%AMPLE% -q -f sbtest.cmd -i sbtest.txt -o sbtest.ana >sbtest.log
cmp sbtest.aaa sbtest.ana
if not errorlevel 1 del sbtest.ana
if not exist sbtest.ana goto sbgood
diff -u sbtest.aaa sbtest.ana >sbtest.dif
echo :-( :-( AMPLE failed test sb :-( :-(
:sbgood
if not exist sbtest.dif echo AMPLE successfully passed test/sb
cd ..\..\..

rem XAMPLE
cd ample\xtest\tt
if exist tttest.dif del tttest.dif >nul
%XAMPLE% -qr -n40 -wdw -xp -e ttpatr.grm -f tttest.cmd -i tttest.txt -o tttest.ana >tttest.log
cmp tttest.aaa tttest.ana
if not errorlevel 1 del tttest.ana
if not exist tttest.ana goto ttgood
diff -u tttest.aaa tttest.ana >tttest.dif
echo :-( :-( XAMPLE failed test tt :-( :-(
:ttgood
if not exist tttest.dif echo XAMPLE successfully passed xtest/tt
cd ..\yal
if exist yaltest.dif del yaltest.dif >nul
%XAMPLE% -qr -n40 -wdw -xp -e yalpatr.grm -f yaltest.cmd -i yaltest.txt -o yaltest.ana >yaltest.log
cmp yaltest.aaa yaltest.ana
if not errorlevel 1 del yaltest.ana
if not exist yaltest.ana goto yalgood
diff -u yaltest.aaa yaltest.ana >yaltest.dif
echo :-( :-( XAMPLE failed test yal :-( :-(
:yalgood
if not exist yaltest.dif echo XAMPLE successfully passed xtest/yal
cd ..\..\..

rem ANADIFF
cd anadiff\test\a
if exist a.dif del a.dif >nul
%ANADIFF% -qq a.aaa a.ana >a.log
%ANADIFF% -qq a.ana a.aaa >>a.log
cmp a.lll a.log
if not errorlevel 1 del a.log
if not exist a.log goto agood
diff -u a.lll a.log >>a.dif
echo :-( :-( ANADIFF failed test a :-( :-(
:agood
if not exist a.dif echo ANADIFF successfully passed test/a
cd ..\b
if exist b.dif del b.dif >nul
%ANADIFF% -qq b.aaa b.ana >b.log
%ANADIFF% -qq b.ana b.aaa >>b.log
cmp b.lll b.log
if not errorlevel 1 del b.log
if not exist b.log goto bgood
diff -u b.lll b.log >>b.dif
echo :-( :-( ANADIFF failed test b :-( :-(
:bgood
if not exist b.dif echo ANADIFF successfully passed test/b
cd ..\c
if exist c.dif del c.dif >nul
%ANADIFF% -qq c.aaa c.ana >c.log
%ANADIFF% -qq c.ana c.aaa >>c.log
cmp c.lll c.log
if not errorlevel 1 del c.log
if not exist c.log goto cgood
diff -u c.lll c.log >>c.dif
echo :-( :-( ANADIFF failed test c :-( :-(
:cgood
if not exist c.dif echo ANADIFF successfully passed test/c
cd ..\..\..

rem INTERGEN
cd intergen\test\ae
if exist aetest.da del aetest.da >nul
if exist aetest.dn del aetest.dn >nul
set TXTCTL=
if exist aeoutx.ctl set TXTCTL=-t aeoutx.ctl
%INTERGEN% -qa %TXTCTL% -i aetest.aaa -o aetest.ita
cmp aetest.iia aetest.ita
if not errorlevel 1 del aetest.ita
if not exist aetest.ita goto aegood01
diff -u aetest.iia aetest.ita >aetest.da
:aegood01
%INTERGEN% -qan %TXTCTL% -i aetest.aaa -o aetest.itn
cmp aetest.iin aetest.itn
if not errorlevel 1 del aetest.itn
if not exist aetest.itn goto aegood02
diff -u aetest.iin aetest.itn >aetest.dn
:aegood02
if exist aetest.da goto aebad01
if exist aetest.dn goto aebad01
echo INTERGEN successfully passed test/ae
goto aenext01
:aebad01
echo :-( :-( INTERGEN failed test ae :-( :-(
:aenext01
cd ..\ck
if exist cktest.da del cktest.da >nul
if exist cktest.dn del cktest.dn >nul
set TXTCTL=
if exist ckoutx.ctl set TXTCTL=-t ckoutx.ctl
%INTERGEN% -qa %TXTCTL% -i cktest.aaa -o cktest.ita
cmp cktest.iia cktest.ita
if not errorlevel 1 del cktest.ita
if not exist cktest.ita goto ckgood01
diff -u cktest.iia cktest.ita >cktest.da
:ckgood01
%INTERGEN% -qan %TXTCTL% -i cktest.aaa -o cktest.itn
cmp cktest.iin cktest.itn
if not errorlevel 1 del cktest.itn
if not exist cktest.itn goto ckgood02
diff -u cktest.iin cktest.itn >cktest.dn
:ckgood02
if exist cktest.da goto ckbad01
if exist cktest.dn goto ckbad01
echo INTERGEN successfully passed test/ck
goto cknext01
:ckbad01
echo :-( :-( INTERGEN failed test ck :-( :-(
:cknext01
cd ..\cq
if exist cqtest.da del cqtest.da >nul
if exist cqtest.dn del cqtest.dn >nul
set TXTCTL=
if exist cqoutx.ctl set TXTCTL=-t cqoutx.ctl
%INTERGEN% -qa %TXTCTL% -i cqtest.aaa -o cqtest.ita
cmp cqtest.iia cqtest.ita
if not errorlevel 1 del cqtest.ita
if not exist cqtest.ita goto cqgood01
diff -u cqtest.iia cqtest.ita >cqtest.da
:cqgood01
%INTERGEN% -qan %TXTCTL% -i cqtest.aaa -o cqtest.itn
cmp cqtest.iin cqtest.itn
if not errorlevel 1 del cqtest.itn
if not exist cqtest.itn goto cqgood02
diff -u cqtest.iin cqtest.itn >cqtest.dn
:cqgood02
if exist cqtest.da goto cqbad01
if exist cqtest.dn goto cqbad01
echo INTERGEN successfully passed test/cq
goto cqnext01
:cqbad01
echo :-( :-( INTERGEN failed test cq :-( :-(
:cqnext01
cd ..\cz
if exist cztest.da del cztest.da >nul
if exist cztest.dn del cztest.dn >nul
set TXTCTL=
if exist czoutx.ctl set TXTCTL=-t czoutx.ctl
%INTERGEN% -qa %TXTCTL% -i cztest.aaa -o cztest.ita
cmp cztest.iia cztest.ita
if not errorlevel 1 del cztest.ita
if not exist cztest.ita goto czgood01
diff -u cztest.iia cztest.ita >cztest.da
:czgood01
%INTERGEN% -qan %TXTCTL% -i cztest.aaa -o cztest.itn
cmp cztest.iin cztest.itn
if not errorlevel 1 del cztest.itn
if not exist cztest.itn goto czgood02
diff -u cztest.iin cztest.itn >cztest.dn
:czgood02
if exist cztest.da goto czbad01
if exist cztest.dn goto czbad01
echo INTERGEN successfully passed test/cz
goto cznext01
:czbad01
echo :-( :-( INTERGEN failed test cz :-( :-(
:cznext01
cd ..\hg
if exist hgtest.da del hgtest.da >nul
if exist hgtest.dn del hgtest.dn >nul
set TXTCTL=
if exist hgoutx.ctl set TXTCTL=-t hgoutx.ctl
%INTERGEN% -qa %TXTCTL% -i hgtest.aaa -o hgtest.ita
cmp hgtest.iia hgtest.ita
if not errorlevel 1 del hgtest.ita
if not exist hgtest.ita goto hggood01
diff -u hgtest.iia hgtest.ita >hgtest.da
:hggood01
%INTERGEN% -qan %TXTCTL% -i hgtest.aaa -o hgtest.itn
cmp hgtest.iin hgtest.itn
if not errorlevel 1 del hgtest.itn
if not exist hgtest.itn goto hggood02
diff -u hgtest.iin hgtest.itn >hgtest.dn
:hggood02
if exist hgtest.da goto hgbad01
if exist hgtest.dn goto hgbad01
echo INTERGEN successfully passed test/hg
goto hgnext01
:hgbad01
echo :-( :-( INTERGEN failed test hg :-( :-(
:hgnext01
cd ..\sb
if exist sbtest.da del sbtest.da >nul
if exist sbtest.dn del sbtest.dn >nul
set TXTCTL=
if exist sboutx.ctl set TXTCTL=-t sboutx.ctl
%INTERGEN% -qa %TXTCTL% -i sbtest.aaa -o sbtest.ita
cmp sbtest.iia sbtest.ita
if not errorlevel 1 del sbtest.ita
if not exist sbtest.ita goto sbgood01
diff -u sbtest.iia sbtest.ita >sbtest.da
:sbgood01
%INTERGEN% -qan %TXTCTL% -i sbtest.aaa -o sbtest.itn
cmp sbtest.iin sbtest.itn
if not errorlevel 1 del sbtest.itn
if not exist sbtest.itn goto sbgood02
diff -u sbtest.iin sbtest.itn >sbtest.dn
:sbgood02
if exist sbtest.da goto sbbad01
if exist sbtest.dn goto sbbad01
echo INTERGEN successfully passed test/sb
goto sbnext01
:sbbad01
echo :-( :-( INTERGEN failed test sb :-( :-(
:sbnext01
cd ..\..\..

rem KTAGGER
cd ktagger\test\eng
if exist eng.dif del eng.dif >nul
%KTAGGER% -q -x engtdf.ctl -i eng.in -o eng.tdf
cmp eng.tdf eng.ttt
if not errorlevel 1 del eng.tdf
if not exist eng.tdf echo KTAGGER successfully passed test/eng (tdf)
if not exist eng.tdf goto goodktag01
diff -u eng.tdf eng.ttt >>eng.dif
echo :-( :-( KTAGGER failed test/eng (tdf) :-( :-(
:goodktag01
%KTAGGER% -q -x engsgml.ctl -i eng.in -o eng.sgm
cmp eng.sgm eng.sss
if not errorlevel 1 del eng.sgm
if not exist eng.sgm echo KTAGGER successfully passed test/eng (sgml 1)
if not exist eng.sgm goto goodktag02
diff -u eng.sgm eng.sss >>eng.dif
echo :-( :-( KTAGGER failed test/eng (sgml 1) :-( :-(
:goodktag02
%KTAGGER% -q -x engsgml2.ctl -i eng.in -o eng.sg2
cmp eng.sg2 eng.ss2
if not errorlevel 1 del eng.sg2
if not exist eng.sg2 echo KTAGGER successfully passed test/eng (sgml 2)
if not exist eng.sg2 goto goodktag03
diff -u eng.sg2 eng.ss2 >>eng.dif
echo :-( :-( KTAGGER failed test/eng (sgml 2) :-( :-(
:goodktag03
%KTAGGER% -q -x engsfm.ctl -i eng.in -o eng.sfm
cmp eng.sfm eng.sff
if not errorlevel 1 del eng.sfm
if not exist eng.sfm echo KTAGGER successfully passed test/eng (sfm)
if not exist eng.sfm goto goodktag04
diff -u eng.sfm eng.sff >>eng.dif
echo :-( :-( KTAGGER failed test/eng (sfm) :-( :-(
:goodktag04
cd ..\..\..

rem KTEXT
cd ktext\test\eng
if exist eng.dif del eng.dif >nul
%KTEXT% -q -x eng.ctl -i eng.txt -o eng.ana -l enga.log
cmp eng.aaa eng.ana
if not errorlevel 1 del eng.ana
if not exist eng.ana echo KTEXT successfully passed test/eng (analysis)
if not exist eng.ana goto ktextgood01
diff -u eng.aaa eng.ana >eng.dif
echo :-( :-( KTEXT failed test/eng (analysis) :-( :-(
:ktextgood01
%KTEXT% -q -s -x eng.ctl -i eng.aaa -o eng.syn -l engs.log
cmp eng.syn eng.sss
if not errorlevel 1 del eng.syn
if not exist eng.ana echo KTEXT successfully passed test/eng (synthesis)
if not exist eng.syn goto ktextgood02
diff -u eng.sss eng.syn >>eng.dif
echo :-( :-( KTEXT failed test/eng (synthesis) :-( :-(
:ktextgood02
cd ..\..\..

rem PCKIMMO
cd pckimmo\test\eng
if exist eng.dif del eng.dif >nul
%PCKIMMO% -q -t eng.tak
cmp eng.rec eng.rrr
if not errorlevel 1 del eng.rec
if not exist eng.rec goto enggood01
diff -u eng.rec eng.rrr >>eng.dif
echo :-( :-( PCKIMMO failed test eng rec :-( :-(
:enggood01
cmp eng.gen eng.ggg
if not errorlevel 1 del eng.gen
if not exist eng.gen goto enggood02
diff -u eng.gen eng.ggg >>eng.dif
echo :-( :-( PCKIMMO failed test eng gen :-( :-(
:enggood02
cmp eng.syn eng.sss
if not errorlevel 1 del eng.syn
if not exist eng.syn goto enggood03
diff -u eng.syn eng.sss >>eng.dif
echo :-( :-( PCKIMMO failed test eng syn :-( :-(
:enggood03
if not exist eng.dif echo PCKIMMO successfully passed test/eng
cd ..\..\..

rem PCPATR
cd pcpatr\test\a
if exist a.dif del a.dif >nul
%PCPATR% -q -t a.tak
cmp a.log a.lll
if not errorlevel 1 del a.log
if not exist a.log goto agood01
diff -u a.log a.lll >>a.dif
echo :-( :-( PCPATR failed test/a :-( :-(
:agood01
if not exist a.dif echo PCPATR successfully passed test/a
cd ..\bears
if exist bears.dif del bears.dif >nul
%PCPATR% -q -t bears.tak
cmp bears.log bears.lll
if not errorlevel 1 del bears.log
if not exist bears.log goto bearsgood01
diff -u bears.log bears.lll >>bears.dif
echo :-( :-( PCPATR failed test/bears :-( :-(
:bearsgood01
if not exist bears.dif echo PCPATR successfully passed test/bears
cd ..\eng-ela
if exist eng-ela.dif del eng-ela.dif >nul
%PCPATR% -q -t eng-ela.tak
cmp eng-ela.log eng-ela.lll
if not errorlevel 1 del eng-ela.log
if not exist eng-ela.log goto engelagood01
diff -u eng-ela.log eng-ela.lll >>eng-ela.dif
echo :-( :-( PCPATR failed test/eng-ela :-( :-(
:engelagood01
if not exist eng-ela.dif echo PCPATR successfully passed test/eng-ela
cd ..\eng-ela2
if exist eng-ela2.dif del eng-ela2.dif >nul
%PCPATR% -q -t eng-ela2.tak
cmp eng-ela2.log eng-ela2.lll
if not errorlevel 1 del eng-ela2.log
if not exist eng-ela2.log goto engela2good01
diff -u eng-ela2.log eng-ela2.lll >>eng-ela2.dif
echo :-( :-( PCPATR failed test/eng-ela2 :-( :-(
:engela2good01
if not exist eng-ela2.dif echo PCPATR successfully passed test/eng-ela2
cd ..\eng-gfs
if exist eng-gfs.dif del eng-gfs.dif >nul
%PCPATR% -q -t eng-gfs.tak
cmp eng-gfs.log eng-gfs.lll
if not errorlevel 1 del eng-gfs.log
if not exist eng-gfs.log goto enggfsgood01
diff -u eng-gfs.log eng-gfs.lll >>eng-gfs.dif
echo :-( :-( PCPATR failed test/eng-gfs :-( :-(
:enggfsgood01
if not exist eng-gfs.dif echo PCPATR successfully passed test/eng-gfs
cd ..\gazdar
if exist gazdar.dif del gazdar.dif >nul
%PCPATR% -q -t gazdar.tak
cmp gazdar.log gazdar.lll
if not errorlevel 1 del gazdar.log
if not exist gazdar.log goto gazdargood01
diff -u gazdar.log gazdar.lll >>gazdar.dif
echo :-( :-( PCPATR failed test/gazdar :-( :-(
:gazdargood01
if not exist gazdar.dif echo PCPATR successfully passed test/gazdar
cd ..\shieber1
if exist shieber1.dif del shieber1.dif >nul
%PCPATR% -q -t shieber1.tak
cmp shieber1.log shieber1.lll
if not errorlevel 1 del shieber1.log
if not exist shieber1.log goto shieber1good01
diff -u shieber1.log shieber1.lll >>shieber1.dif
echo :-( :-( PCPATR failed test/shieber1 :-( :-(
:shieber1good01
if not exist shieber1.dif echo PCPATR successfully passed test/shieber1
cd ..\shieber2
if exist shieber2.dif del shieber2.dif >nul
%PCPATR% -q -t shieber2.tak
cmp shieber2.log shieber2.lll
if not errorlevel 1 del shieber2.log
if not exist shieber2.log goto shieber2good01
diff -u shieber2.log shieber2.lll >>shieber2.dif
echo :-( :-( PCPATR failed test/shieber2 :-( :-(
:shieber2good01
if not exist shieber2.dif echo PCPATR successfully passed test/shieber2
cd ..\shieber3
if exist shieber3.dif del shieber3.dif >nul
%PCPATR% -q -t shieber3.tak
cmp shieber3.log shieber3.lll
if not errorlevel 1 del shieber3.log
if not exist shieber3.log goto shieber3good01
diff -u shieber3.log shieber3.lll >>shieber3.dif
echo :-( :-( PCPATR failed test/shieber3 :-( :-(
:shieber3good01
if not exist shieber3.dif echo PCPATR successfully passed test/shieber3
cd ..\shieber4
if exist shieber4.dif del shieber4.dif >nul
%PCPATR% -q -t shieber4.tak
cmp shieber4.log shieber4.lll
if not errorlevel 1 del shieber4.log
if not exist shieber4.log goto shieber4good01
diff -u shieber4.log shieber4.lll >>shieber4.dif
echo :-( :-( PCPATR failed test/shieber4 :-( :-(
:shieber4good01
if not exist shieber4.dif echo PCPATR successfully passed test/shieber4
cd ..\tomita
if exist tomita.dif del tomita.dif >nul
%PCPATR% -q -t tomita.tak
cmp tomita.log tomita.lll
if not errorlevel 1 del tomita.log
if not exist tomita.log goto tomitagood01
diff -u tomita.log tomita.lll >>tomita.dif
echo :-( :-( PCPATR failed test/tomita :-( :-(
:tomitagood01
if not exist tomita.dif echo PCPATR successfully passed test/tomita
cd ..\woody
if exist woody.dif del woody.dif >nul
%PCPATR% -q -t woody.tak
cmp woody.log woody.lll
if not errorlevel 1 del woody.log
if not exist woody.log goto woodygood01
diff -u woody.log woody.lll >>woody.dif
echo :-( :-( PCPATR failed test/woody :-( :-(
:woodygood01
if not exist woody.dif echo PCPATR successfully passed test/woody
cd ..\..\..

rem STAMP
cd stamp\test\ckea
if exist ckea.dif del ckea.dif >nul
%STAMP% -q -f ckeatest.cmd -i ckeatest.aaa -o ckeatest.syn >ckeatest.log
cmp ckeatest.sss ckeatest.syn
if not errorlevel 1 del ckeatest.syn
if not exist ckeatest.syn goto ckeagood
diff -u ckeatest.sss ckeatest.syn >ckeatest.dif
echo :-( :-( STAMP failed test ckea :-( :-(
:ckeagood
if not exist ckeatest.dif echo STAMP successfully passed test/ckea
cd ..\ckno
if exist ckno.dif del ckno.dif >nul
%STAMP% -q -f cknotest.cmd -i cknotest.aaa -o cknotest.syn >cknotest.log
cmp cknotest.sss cknotest.syn
if not errorlevel 1 del cknotest.syn
if not exist cknotest.syn goto cknogood
diff -u cknotest.sss cknotest.syn >cknotest.dif
echo :-( :-( STAMP failed test ckno :-( :-(
:cknogood
if not exist cknotest.dif echo STAMP successfully passed test/ckno
cd ..\cksw
if exist cksw.dif del cksw.dif >nul
%STAMP% -q -f ckswtest.cmd -i ckswtest.aaa -o ckswtest.syn >ckswtest.log
cmp ckswtest.sss ckswtest.syn
if not errorlevel 1 del ckswtest.syn
if not exist ckswtest.syn goto ckswgood
diff -u ckswtest.sss ckswtest.syn >ckswtest.dif
echo :-( :-( STAMP failed test cksw :-( :-(
:ckswgood
if not exist ckswtest.dif echo STAMP successfully passed test/cksw
cd ..\cz
if exist cz.dif del cz.dif >nul
%STAMP% -q -f cztest.cmd -i cztest.aaa -o cztest.syn >cztest.log
cmp cztest.sss cztest.syn
if not errorlevel 1 del cztest.syn
if not exist cztest.syn goto czgood
diff -u cztest.sss cztest.syn >cztest.dif
echo :-( :-( STAMP failed test cz :-( :-(
:czgood
if not exist cztest.dif echo STAMP successfully passed test/cz
cd ..\..\..
